function out = poly (coeff, in)
% y = poly(a,x)
% 
% Polynomauswertung nach Hornerschema
%
% x Vektor der x-Werte in denen das Polynom ausgewertet werden soll 
%
% a Vektor der Koeffizienten im Polynom beginnend mit dem der
%   hchsten Potenz von x
% 
% y Funktionswerte zu den Werten in x
  
  
  out = coeff(1);
  for i=(2:length(coeff))
    out = out.*in + coeff(i);
  end
  